'''
Special thanks to SuperDave for helping me make this addon possible without es_tools.
SuperDave did the StripWeapon function.
'''

import es
import weaponlib

info          = es.AddonInfo()
info.name     = 'Grenades Only'
info.version  = '0.0.1a Python'
info.basename = 'go'
info.url      = 'http://addons.eventscripts.com/addons/view/' + info.basename
info.author   = 'Michael Libman (||Wolf||) & Matthew (||OWNED||)'

es.ServerVar(info.basename + '_version', info.version, 'Grenades Only Version - Made by ||Wolf|| & ||OWNED||').makepublic()

def StripWeapon(userid, weapon):
    userid = int(userid) # We need an integer for createplayerlist
    handle = es.getplayerhandle(userid)
    for index in weaponlib.getIndexList(weapon):
        if es.getindexprop(index, 'CBaseEntity.m_hOwnerEntity') == handle:
            es.server.queuecmd('es_xremove %s' % index)
            if es.createplayerlist(userid)[userid]['weapon'] == weaponlib.getWeapon(weapon):
                es.cexec(userid, 'lastinv')
                
def GiveGrenade(userid):
    es.server.queuecmd('es_xgive %s weapon_hegrenade' %userid)

def item_pickup(ev):
   # Disallow all weapons except Hegrenade
   if ev['item'] != 'hegrenade':
        StripWeapon(ev['userid'], ev['item'])
      
def player_spawn(ev):
    StripWeapon(ev['userid'], 'hegrenade')
    GiveGrenade(ev['userid'])
    
def hegrenade_detonate(ev):
    GiveGrenade(ev['userid'])